using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Xml;

namespace ConfigNS
{
    /// <summary>
    /// Class for a single section.
    /// </summary>
    public class Section
    {
        /// <summary>
        /// Name of the section.
        /// </summary>
        public string name;

        /// <summary>
        /// Settings for section.
        /// </summary>
        public Settings settings;

        /// <summary>
        /// Constructor for Section.
        /// </summary>
        /// <param name="sectionName"></param>
        public Section(string sectionName)
        {
            this.name = sectionName;
            this.settings = new Settings();
        }

        /// <summary>
        /// Overrides ToString().
        /// </summary>
        /// <returns>Name of Section.</returns>
        public override string ToString()
        {
            return this.name;
        }
    }
}
