using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Xml;


namespace ConfigNS
{
    /// <summary>
    /// Class for a single setting.
    /// </summary>
    public class Setting
    {
        /// <summary>
        /// Name of setting.
        /// </summary>
        public string name;
        /// <summary>
        /// Value of setting.
        /// </summary>
        public string value;
        /// <summary>
        /// Default value for setting.
        /// </summary>
        public string defaultValue;
        /// <summary>
        /// Whether or not setting was set in config-file.
        /// </summary>
        public bool wasInFile;

        /// <summary>
        /// Constructor for Setting.
        /// </summary>
        /// <param name="name">Name of setting.</param>
        /// <param name="defaultValue">Default value for setting.</param>
        public Setting(string name, string defaultValue)
        {
            this.name = name;
            this.value = this.defaultValue = defaultValue;
        }

        /// <summary>
        /// Overrides ToString().
        /// </summary>
        /// <returns>Name and value of setting.</returns>
        public override string ToString()
        {
            return this.name + ": " + this.value;
        }
    }
}
